MSTOHZ(9)

NAME
mstohz - convert milliseconds to system clock ticks

SYNOPSIS
#include <sys/param.h>
int
mstohz(int ms);

DESCRIPTION
mstohz can be used to convert time in milliseconds to system clock ticks, as used by the callout(9) facility, in an integer-overflow safe way.

This function is implemented as a define in the sys/param.h header. Individual ports can have a processor-specific, more efficient version implemented in their machine/param.h header as a define.

RETURN VALUES
The return value is the number of clock ticks for the specified value.

SEE ALSO
callout(9)

BUGS
The machine-independent mstohz() function does not make use of expensive 64-bit integer arithmetic, so the result will be rounded down to one second if the parameter is larger than 131072 milliseconds.